// netlist3.cpp : Defines the entry point for the console application.
//

//#include "stdafx.h"
#include <stdio.h>
#include <stdlib.h>
#include <conio.h>
#include "circuit.h"


//int _tmain(int argc, _TCHAR* argv[])
int main(int argc, char *argv[])
{
	char *filename;
	char buf[128];
	FILE *in;
	if (argc<2) {
		printf("Enter filename: ");
		gets_s(buf,127);
		filename = buf;
	}
	else filename = argv[1];
	errno_t nerr = fopen_s(&in,filename,"r");
	if (nerr) {
		printf("file: %s not found\n",filename);
		_getch();
		return EXIT_FAILURE;
	}
	circuit ckt;
	ckt.read(in);
	fclose(in);
	ckt.build_node_list();
	ckt.list_devices();
	printf("\nNode list:\n");
	ckt.list_nodes();
	/* add pause in debugger
	printf("Press any key to exit ...\n");
	_getch();
	*/
	return 0;
}

/*
#include <windows.h>
#include <gdiplus.h>
using namespace Gdiplus;

VOID OnPaint(HDC hdc)
{
   Graphics graphics(hdc);
   Pen      pen(Color(255, 0, 0, 255));
   graphics.DrawLine(&pen, 0, 0, 200, 100);
}
*/

